Subject: Re: [PATCH 5.14 000/173] 5.14.10-rc2 review

From: Greg Kroah-Hartman <[email-masked]>
Date: Wed, 6 Oct 2021 09:19:51 +0200

On Wed, Oct 06, 2021 at 01:12:17AM +0530, Naresh Kamboju wrote:
> On Wed, 6 Oct 2021 at 00:37, Thomas Backlund <[email-masked]> wrote:
> >
> > Den 2021-10-05 kl. 18:59, skrev Guenter Roeck:
> > > On Tue, Oct 05, 2021 at 10:38:40AM +0200, Greg Kroah-Hartman wrote:
> > >> This is the start of the stable review cycle for the 5.14.10 release.
> > >> There are 173 patches in this series, all will be posted as a response
> > >> to this one.  If anyone has any issues with these being applied, please
> > >> let me know.
> > >>
> > >> Responses should be made by Thu, 07 Oct 2021 08:32:44 +0000.
> > >> Anything received after that time might be too late.
> > >>
> > >
> > > AFAICS the warning problems are still seen. Unfortunately I won't be able
> > > to bisect since I have limited internet access.
> > >
> > > Guenter
> > >
> > > =========================
> > > WARNING: held lock freed!
> > > 5.14.10-rc2-00174-g355f3195d051 #1 Not tainted
> > > -------------------------
> > > ip/202 is freeing memory c000000009918900-c000000009918f7f, with a lock still held there!
> > > c000000009918a20 (sk_lock-AF_INET){+.+.}-{0:0}, at: .sk_common_release+0x4c/0x1b0
> > > 2 locks held by ip/202:
> > >   #0: c00000000ae149d0 (&sb->s_type->i_mutex_key#5){+.+.}-{3:3}, at: .__sock_release+0x4c/0x150
> > >   #1: c000000009918a20 (sk_lock-AF_INET){+.+.}-{0:0}, at: .sk_common_release+0x4c/0x1b0
> > >
> > >
> >
> 
> When I reverted the following two patches the warning got fixed.
> 
> 73a03563f123 af_unix: fix races in sk_peer_pid and sk_peer_cred accesses

Odd, this one is in all trees right now, yet no one else is having a
problem.

> b226d61807f1 net: introduce and use lock_sock_fast_nested()

This is only in the 5.14.y tree.  Let me go drop this one, and do a new
-rc release here.

thanks,

greg k-h